2017-09-24 08:31 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003877Kali Linux[All Projects] General Bugpublic2017-03-21 09:34
Reporteralallo 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target VersionFixed in Version2017.1 
Summary0003877: Wrong block size of Kali weekly 2017 ISOs (making it impossible to create persistence partition)
DescriptionWhen launching (not only) parted /dev/sdb (where sdb is kali usb drive) it gives error: "Warning: the driver descriptor says the physical block size is 2040 bytes, but Linux says it is 512 bytes." making it impossible to operate on the drive partition structure and, for example, to create a persistence partition.
The drive was created with dd in the following way:
dd if=kali-linux-2017-W07-amd64.iso of=/dev/sdb bs=512k
The same drive, created with the same method but with 2016.2 iso works without problem.
Steps To Reproduce1. Create Kali drive with weekly ISO
dd if=kali-linux-2017-W07-amd64.iso of=/dev/sdb bs=512k

2. Run parted on created drive
parted /dev/sdb

3. Try to list the partitions of the drive
print
Additional InformationTried with different ISOs from 2016.2 and 2017W07 and different USB drives but got always the same result: release working, weekly error. Tried to change the block size in dd command too. Still the same.
Attached Files

-Relationships
+Relationships

-Notes

~0006493

rhertzog (administrator)

This has been fixed with live-build 1:20170213kali1. The latest weekly images should be working again.
+Notes

-Issue History
Date Modified Username Field Change
2017-02-13 16:36 alallo New Issue
2017-02-13 19:06 rhertzog Assigned To => rhertzog
2017-02-13 19:06 rhertzog Status new => assigned
2017-03-13 15:26 rhertzog Status assigned => resolved
2017-03-13 15:26 rhertzog Resolution open => fixed
2017-03-13 15:26 rhertzog Fixed in Version => 2017.1
2017-03-13 15:26 rhertzog Note Added: 0006493
+Issue History